= nng_url_free(3)
//
// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_url_free - free a URL structure

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void nng_url_free(nng_url *url);
----

== DESCRIPTION

The `nng_url_free()` function deallocates the _url_ entirely, including
any of its members.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_url_clone.3.adoc[nng_url_clone(3)],
xref:nng_url_parse.3.adoc[nng_url_parse(3)],
xref:nng_url.5.adoc[nng_url(5)],
xref:nng.7.adoc[nng(7)]
